Loading...
Searching...
No Matches
mongo_sync_gridfs_file_common Struct Reference

`#include <libmongo-private.h>`

## Data Fields

gint32 | chunk_size
| Maximum chunk size for this file.
gint64 | length
| Total length of the file.
union { |
struct { |
const guint8 * oid |
| The file's ObjectID.
const gchar * md5 |
| MD5 sum of the file.
gint64 date |
| The upload date.
bson * metadata |
| Full file metadata, including user-set keys.
} |
| Chunked file data.
struct { |
gint64 offset |
| Offset we're into the file.
gint64 current_chunk |
| The current chunk we're on.
guint8 * id |
| A copy of the file's ObjectID.
} |
| Streamed file data.
}; |
_mongo_gridfs_type | type
| The type of the GridFS file.

## Detailed Description

GridFS common file properties.

This is shared between chunked and streamed files.